package com.chenyang.nse.bussiness.tools.xml.xmlclass;

import com.chenyang.nse.bussiness.tools.xml.xmlclass.product.ConnectivityOracle;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.product.DmainsInfa;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.product.DomainOptions;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.product.GridInfo;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.product.MetaInfo;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.product.Monitoring;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.product.NodeMetaData;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.product.NodeOptions;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.product.PowerCenterIntegrationService;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.product.PowerCenterRepositoryService;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.product.PwxConnectivity;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.product.ServiceType;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.product.TomcatVariable;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.product.WSHubService;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.product.XmlProductInfo;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.product.logEvent;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.system.EnvironmentVariable;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.system.FileSystem;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.system.OSPatches;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.system.SwapInfo;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.system.UserLimit;
import com.chenyang.nse.bussiness.tools.xml.xmlclass.system.XmlSystemInfo;
import java.util.List;

public class XmlInfoVo {
   private List<MetaInfo> metaInfoList;
   private List<XmlSystemInfo> xmlSystemInfoList;
   private List<FileSystem> fileSystemList;
   private List<EnvironmentVariable> environmentVariableList;
   private List<UserLimit> userLimitList;
   private List<SwapInfo> swapInfoList;
   private List<OSPatches> osPatchesList;
   private List<ServiceType> serviceTypeList;
   private List<XmlProductInfo> xmlProductInfoList;
   private List<TomcatVariable> tomcatVariableList;
   private List<DmainsInfa> dmainsInfaList;
   private List<NodeMetaData> nodeMetaDataList;
   private List<DomainOptions> domainOptionsList;
   private List<NodeOptions> nodeOptionsList;
   private List<Monitoring> monitoringList;
   private List<PowerCenterIntegrationService> powerCenterIntegrationServiceList;
   private List<PowerCenterRepositoryService> powerCenterRepositoryServiceList;
   private List<WSHubService> wSHubServiceList;
   private List<ConnectivityOracle> connectivityOracleList;
   private List<PwxConnectivity> pwxConnectivityList;
   private List<GridInfo> gridInfoList;
   private List<logEvent> logEventList;

   public List<logEvent> getLogEventList() {
      return this.logEventList;
   }

   public void setLogEventList(List<logEvent> logEventList) {
      this.logEventList = logEventList;
   }

   public List<GridInfo> getGridInfoList() {
      return this.gridInfoList;
   }

   public void setGridInfoList(List<GridInfo> gridInfoList) {
      this.gridInfoList = gridInfoList;
   }

   public List<ServiceType> getServiceTypeList() {
      return this.serviceTypeList;
   }

   public void setServiceTypeList(List<ServiceType> serviceTypeList) {
      this.serviceTypeList = serviceTypeList;
   }

   public List<MetaInfo> getMetaInfoList() {
      return this.metaInfoList;
   }

   public void setMetaInfoList(List<MetaInfo> metaInfoList) {
      this.metaInfoList = metaInfoList;
   }

   public List<XmlSystemInfo> getXmlSystemInfoList() {
      return this.xmlSystemInfoList;
   }

   public void setXmlSystemInfoList(List<XmlSystemInfo> xmlSystemInfoList) {
      this.xmlSystemInfoList = xmlSystemInfoList;
   }

   public List<FileSystem> getFileSystemList() {
      return this.fileSystemList;
   }

   public void setFileSystemList(List<FileSystem> fileSystemList) {
      this.fileSystemList = fileSystemList;
   }

   public List<EnvironmentVariable> getEnvironmentVariableList() {
      return this.environmentVariableList;
   }

   public void setEnvironmentVariableList(List<EnvironmentVariable> environmentVariableList) {
      this.environmentVariableList = environmentVariableList;
   }

   public List<UserLimit> getUserLimitList() {
      return this.userLimitList;
   }

   public void setUserLimitList(List<UserLimit> userLimitList) {
      this.userLimitList = userLimitList;
   }

   public List<SwapInfo> getSwapInfoList() {
      return this.swapInfoList;
   }

   public void setSwapInfoList(List<SwapInfo> swapInfoList) {
      this.swapInfoList = swapInfoList;
   }

   public List<OSPatches> getOsPatchesList() {
      return this.osPatchesList;
   }

   public void setOsPatchesList(List<OSPatches> osPatchesList) {
      this.osPatchesList = osPatchesList;
   }

   public List<XmlProductInfo> getXmlProductInfoList() {
      return this.xmlProductInfoList;
   }

   public void setXmlProductInfoList(List<XmlProductInfo> xmlProductInfoList) {
      this.xmlProductInfoList = xmlProductInfoList;
   }

   public List<TomcatVariable> getTomcatVariableList() {
      return this.tomcatVariableList;
   }

   public void setTomcatVariableList(List<TomcatVariable> tomcatVariableList) {
      this.tomcatVariableList = tomcatVariableList;
   }

   public List<DmainsInfa> getDmainsInfaList() {
      return this.dmainsInfaList;
   }

   public void setDmainsInfaList(List<DmainsInfa> dmainsInfaList) {
      this.dmainsInfaList = dmainsInfaList;
   }

   public List<NodeMetaData> getNodeMetaDataList() {
      return this.nodeMetaDataList;
   }

   public void setNodeMetaDataList(List<NodeMetaData> nodeMetaDataList) {
      this.nodeMetaDataList = nodeMetaDataList;
   }

   public List<DomainOptions> getDomainOptionsList() {
      return this.domainOptionsList;
   }

   public void setDomainOptionsList(List<DomainOptions> domainOptionsList) {
      this.domainOptionsList = domainOptionsList;
   }

   public List<NodeOptions> getNodeOptionsList() {
      return this.nodeOptionsList;
   }

   public void setNodeOptionsList(List<NodeOptions> nodeOptionsList) {
      this.nodeOptionsList = nodeOptionsList;
   }

   public List<Monitoring> getMonitoringList() {
      return this.monitoringList;
   }

   public void setMonitoringList(List<Monitoring> monitoringList) {
      this.monitoringList = monitoringList;
   }

   public List<PowerCenterIntegrationService> getPowerCenterIntegrationServiceList() {
      return this.powerCenterIntegrationServiceList;
   }

   public void setPowerCenterIntegrationServiceList(List<PowerCenterIntegrationService> powerCenterIntegrationServiceList) {
      this.powerCenterIntegrationServiceList = powerCenterIntegrationServiceList;
   }

   public List<PowerCenterRepositoryService> getPowerCenterRepositoryServiceList() {
      return this.powerCenterRepositoryServiceList;
   }

   public void setPowerCenterRepositoryServiceList(List<PowerCenterRepositoryService> powerCenterRepositoryServiceList) {
      this.powerCenterRepositoryServiceList = powerCenterRepositoryServiceList;
   }

   public List<WSHubService> getwSHubServiceList() {
      return this.wSHubServiceList;
   }

   public void setwSHubServiceList(List<WSHubService> wSHubServiceList) {
      this.wSHubServiceList = wSHubServiceList;
   }

   public List<ConnectivityOracle> getConnectivityOracleList() {
      return this.connectivityOracleList;
   }

   public void setConnectivityOracleList(List<ConnectivityOracle> connectivityOracleList) {
      this.connectivityOracleList = connectivityOracleList;
   }

   public List<PwxConnectivity> getPwxConnectivityList() {
      return this.pwxConnectivityList;
   }

   public void setPwxConnectivityList(List<PwxConnectivity> pwxConnectivityList) {
      this.pwxConnectivityList = pwxConnectivityList;
   }
}
